from mower.utils import config
from mower.utils.device.emulator import restart_emulator


class ExitSolver:
    solver_name = "退！退！退！"

    def run(self):
        if config.device is None:
            return True
        if config.task_count == 0:
            return True

        if config.conf.strategy_when_idle == "close_emulator":
            return True

        no_restart_emulator = (
            config.conf.emulator.name == ""
            or config.conf.app_control_strategy == "adb_multiuser"
        )

        if config.conf.strategy_when_idle == "exit_game":
            if no_restart_emulator:
                return True
            restart_emulator()
            return True

        if no_restart_emulator:
            config.device.exit()
            return True

        restart_emulator()
        return True
