from mower.utils.scene import Scene
from mower.utils.solver import BaseSolver

from .utils import edge

# 活动导航与签到


@edge(Scene.TERMINAL_MAIN, Scene.ACTIVITY_MAIN)
def enter_activity(solver: BaseSolver):
    solver.terminal_entry("navigation/activity/terminal.jpg")


@edge(Scene.ACTIVITY_MAIN, Scene.ACTIVITY_TASK)
def enter_task(solver: BaseSolver):
    solver.ctap("sign_in/task/entry", 5)


@edge(Scene.ACTIVITY_MAIN, Scene.ACTIVITY_SHOP)
def enter_shop(solver: BaseSolver):
    solver.ctap("sign_in/shop/entry", 5)
