import { getDefaultExportFromCjs, createBlock, openBlock, h, RouterLink } from "./index.js";
import { requireVue } from "./index2.js";
import { NMenu, Wrench } from "./Wrench.js";
import { NIcon } from "./Icon.js";
import "./Tooltip.js";
import "./next-frame-once.js";
import "./use-compitable.js";
import "./Dropdown.js";
import "./create.js";
var BookOutline$1 = {};
var hasRequiredBookOutline;
function requireBookOutline() {
  if (hasRequiredBookOutline) return BookOutline$1;
  hasRequiredBookOutline = 1;
  Object.defineProperty(BookOutline$1, "__esModule", { value: true });
  const vue_1 = requireVue();
  const _hoisted_1 = {
    xmlns: "http://www.w3.org/2000/svg",
    "xmlns:xlink": "http://www.w3.org/1999/xlink",
    viewBox: "0 0 512 512"
  };
  BookOutline$1.default = (0, vue_1.defineComponent)({
    name: "BookOutline",
    render: function render(_ctx, _cache) {
      return (0, vue_1.openBlock)(), (0, vue_1.createElementBlock)(
        "svg",
        _hoisted_1,
        _cache[0] || (_cache[0] = [
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M256 160c16-63.16 76.43-95.41 208-96a15.94 15.94 0 0 1 16 16v288a16 16 0 0 1-16 16c-128 0-177.45 25.81-208 64c-30.37-38-80-64-208-64c-9.88 0-16-8.05-16-17.93V80a15.94 15.94 0 0 1 16-16c131.57.59 192 32.84 208 96z",
              fill: "none",
              stroke: "currentColor",
              "stroke-linecap": "round",
              "stroke-linejoin": "round",
              "stroke-width": "32"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              fill: "none",
              stroke: "currentColor",
              "stroke-linecap": "round",
              "stroke-linejoin": "round",
              "stroke-width": "32",
              d: "M256 160v288"
            },
            null,
            -1
            /* HOISTED */
          )
        ])
      );
    }
  });
  return BookOutline$1;
}
var BookOutlineExports = /* @__PURE__ */ requireBookOutline();
const BookOutline = /* @__PURE__ */ getDefaultExportFromCjs(BookOutlineExports);
var CloudLogging$1 = {};
var hasRequiredCloudLogging;
function requireCloudLogging() {
  if (hasRequiredCloudLogging) return CloudLogging$1;
  hasRequiredCloudLogging = 1;
  Object.defineProperty(CloudLogging$1, "__esModule", { value: true });
  const vue_1 = requireVue();
  const _hoisted_1 = {
    xmlns: "http://www.w3.org/2000/svg",
    "xmlns:xlink": "http://www.w3.org/1999/xlink",
    viewBox: "0 0 32 32"
  };
  CloudLogging$1.default = (0, vue_1.defineComponent)({
    name: "CloudLogging",
    render: function render(_ctx, _cache) {
      return (0, vue_1.openBlock)(), (0, vue_1.createElementBlock)(
        "svg",
        _hoisted_1,
        _cache[0] || (_cache[0] = [
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M28 16v6H4V6h11V4H4a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h8v4H8v2h16v-2h-4v-4h8a2 2 0 0 0 2-2v-6zM18 28h-4v-4h4z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M18 4h12v2H18z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M18 8h12v2H18z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M18 12h6v2h-6z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          )
        ])
      );
    }
  });
  return CloudLogging$1;
}
var CloudLoggingExports = /* @__PURE__ */ requireCloudLogging();
const CloudLogging = /* @__PURE__ */ getDefaultExportFromCjs(CloudLoggingExports);
var SkillLevelAdvanced$1 = {};
var hasRequiredSkillLevelAdvanced;
function requireSkillLevelAdvanced() {
  if (hasRequiredSkillLevelAdvanced) return SkillLevelAdvanced$1;
  hasRequiredSkillLevelAdvanced = 1;
  Object.defineProperty(SkillLevelAdvanced$1, "__esModule", { value: true });
  const vue_1 = requireVue();
  const _hoisted_1 = {
    xmlns: "http://www.w3.org/2000/svg",
    "xmlns:xlink": "http://www.w3.org/1999/xlink",
    viewBox: "0 0 32 32"
  };
  SkillLevelAdvanced$1.default = (0, vue_1.defineComponent)({
    name: "SkillLevelAdvanced",
    render: function render(_ctx, _cache) {
      return (0, vue_1.openBlock)(), (0, vue_1.createElementBlock)(
        "svg",
        _hoisted_1,
        _cache[0] || (_cache[0] = [
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M30 30h-8V4h8z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M20 30h-8V12h8z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M10 30H2V18h8z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          )
        ])
      );
    }
  });
  return SkillLevelAdvanced$1;
}
var SkillLevelAdvancedExports = /* @__PURE__ */ requireSkillLevelAdvanced();
const SkillLevelAdvanced = /* @__PURE__ */ getDefaultExportFromCjs(SkillLevelAdvancedExports);
var WikipediaW$1 = {};
var hasRequiredWikipediaW;
function requireWikipediaW() {
  if (hasRequiredWikipediaW) return WikipediaW$1;
  hasRequiredWikipediaW = 1;
  Object.defineProperty(WikipediaW$1, "__esModule", { value: true });
  const vue_1 = requireVue();
  const _hoisted_1 = {
    xmlns: "http://www.w3.org/2000/svg",
    "xmlns:xlink": "http://www.w3.org/1999/xlink",
    viewBox: "0 0 640 512"
  };
  WikipediaW$1.default = (0, vue_1.defineComponent)({
    name: "WikipediaW",
    render: function render(_ctx, _cache) {
      return (0, vue_1.openBlock)(), (0, vue_1.createElementBlock)(
        "svg",
        _hoisted_1,
        _cache[0] || (_cache[0] = [
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M640 51.2l-.3 12.2c-28.1.8-45 15.8-55.8 40.3c-25 57.8-103.3 240-155.3 358.6H415l-81.9-193.1c-32.5 63.6-68.3 130-99.2 193.1c-.3.3-15 0-15-.3C172 352.3 122.8 243.4 75.8 133.4C64.4 106.7 26.4 63.4.2 63.7c0-3.1-.3-10-.3-14.2h161.9v13.9c-19.2 1.1-52.8 13.3-43.3 34.2c21.9 49.7 103.6 240.3 125.6 288.6c15-29.7 57.8-109.2 75.3-142.8c-13.9-28.3-58.6-133.9-72.8-160c-9.7-17.8-36.1-19.4-55.8-19.7V49.8l142.5.3v13.1c-19.4.6-38.1 7.8-29.4 26.1c18.9 40 30.6 68.1 48.1 104.7c5.6-10.8 34.7-69.4 48.1-100.8c8.9-20.6-3.9-28.6-38.6-29.4c.3-3.6 0-10.3.3-13.6c44.4-.3 111.1-.3 123.1-.6v13.6c-22.5.8-45.8 12.8-58.1 31.7l-59.2 122.8c6.4 16.1 63.3 142.8 69.2 156.7L559.2 91.8c-8.6-23.1-36.4-28.1-47.2-28.3V49.6l127.8 1.1l.2.5z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          )
        ])
      );
    }
  });
  return WikipediaW$1;
}
var WikipediaWExports = /* @__PURE__ */ requireWikipediaW();
const WikipediaW = /* @__PURE__ */ getDefaultExportFromCjs(WikipediaWExports);
var BarChart$1 = {};
var hasRequiredBarChart;
function requireBarChart() {
  if (hasRequiredBarChart) return BarChart$1;
  hasRequiredBarChart = 1;
  Object.defineProperty(BarChart$1, "__esModule", { value: true });
  const vue_1 = requireVue();
  const _hoisted_1 = {
    xmlns: "http://www.w3.org/2000/svg",
    "xmlns:xlink": "http://www.w3.org/1999/xlink",
    viewBox: "0 0 512 512"
  };
  BarChart$1.default = (0, vue_1.defineComponent)({
    name: "BarChart",
    render: function render(_ctx, _cache) {
      return (0, vue_1.openBlock)(), (0, vue_1.createElementBlock)(
        "svg",
        _hoisted_1,
        _cache[0] || (_cache[0] = [
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M480 496H48a32 32 0 0 1-32-32V32a16 16 0 0 1 32 0v432h432a16 16 0 0 1 0 32z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M156 432h-40a36 36 0 0 1-36-36V244a36 36 0 0 1 36-36h40a36 36 0 0 1 36 36v152a36 36 0 0 1-36 36z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M300 432h-40a36 36 0 0 1-36-36V196a36 36 0 0 1 36-36h40a36 36 0 0 1 36 36v200a36 36 0 0 1-36 36z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M443.64 432h-40a36 36 0 0 1-36-36V132a36 36 0 0 1 36-36h40a36 36 0 0 1 36 36v264a36 36 0 0 1-36 36z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          )
        ])
      );
    }
  });
  return BarChart$1;
}
var BarChartExports = /* @__PURE__ */ requireBarChart();
const BarChart = /* @__PURE__ */ getDefaultExportFromCjs(BarChartExports);
var PieChart$1 = {};
var hasRequiredPieChart;
function requirePieChart() {
  if (hasRequiredPieChart) return PieChart$1;
  hasRequiredPieChart = 1;
  Object.defineProperty(PieChart$1, "__esModule", { value: true });
  const vue_1 = requireVue();
  const _hoisted_1 = {
    xmlns: "http://www.w3.org/2000/svg",
    "xmlns:xlink": "http://www.w3.org/1999/xlink",
    viewBox: "0 0 512 512"
  };
  PieChart$1.default = (0, vue_1.defineComponent)({
    name: "PieChart",
    render: function render(_ctx, _cache) {
      return (0, vue_1.openBlock)(), (0, vue_1.createElementBlock)(
        "svg",
        _hoisted_1,
        _cache[0] || (_cache[0] = [
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M66.1 357a16 16 0 0 1-14.61-9.46A224 224 0 0 1 256 32a16 16 0 0 1 16 16v208a16 16 0 0 1-9.47 14.61l-189.9 84.95A15.93 15.93 0 0 1 66.1 357z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M313.59 68.18A8 8 0 0 0 304 76v180a48.07 48.07 0 0 1-28.4 43.82L103.13 377a8 8 0 0 0-3.35 11.81a208.42 208.42 0 0 0 48.46 50.41A206.32 206.32 0 0 0 272 480c114.69 0 208-93.31 208-208c0-100.45-71.58-184.5-166.41-203.82z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          )
        ])
      );
    }
  });
  return PieChart$1;
}
var PieChartExports = /* @__PURE__ */ requirePieChart();
const PieChart = /* @__PURE__ */ getDefaultExportFromCjs(PieChartExports);
var ReaderOutline$1 = {};
var hasRequiredReaderOutline;
function requireReaderOutline() {
  if (hasRequiredReaderOutline) return ReaderOutline$1;
  hasRequiredReaderOutline = 1;
  Object.defineProperty(ReaderOutline$1, "__esModule", { value: true });
  const vue_1 = requireVue();
  const _hoisted_1 = {
    xmlns: "http://www.w3.org/2000/svg",
    "xmlns:xlink": "http://www.w3.org/1999/xlink",
    viewBox: "0 0 512 512"
  };
  ReaderOutline$1.default = (0, vue_1.defineComponent)({
    name: "ReaderOutline",
    render: function render(_ctx, _cache) {
      return (0, vue_1.openBlock)(), (0, vue_1.createElementBlock)(
        "svg",
        _hoisted_1,
        _cache[0] || (_cache[0] = [
          (0, vue_1.createElementVNode)(
            "rect",
            {
              x: "96",
              y: "48",
              width: "320",
              height: "416",
              rx: "48",
              ry: "48",
              fill: "none",
              stroke: "currentColor",
              "stroke-linejoin": "round",
              "stroke-width": "32"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              fill: "none",
              stroke: "currentColor",
              "stroke-linecap": "round",
              "stroke-linejoin": "round",
              "stroke-width": "32",
              d: "M176 128h160"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              fill: "none",
              stroke: "currentColor",
              "stroke-linecap": "round",
              "stroke-linejoin": "round",
              "stroke-width": "32",
              d: "M176 208h160"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              fill: "none",
              stroke: "currentColor",
              "stroke-linecap": "round",
              "stroke-linejoin": "round",
              "stroke-width": "32",
              d: "M176 288h80"
            },
            null,
            -1
            /* HOISTED */
          )
        ])
      );
    }
  });
  return ReaderOutline$1;
}
var ReaderOutlineExports = /* @__PURE__ */ requireReaderOutline();
const ReaderOutline = /* @__PURE__ */ getDefaultExportFromCjs(ReaderOutlineExports);
var Storefront$1 = {};
var hasRequiredStorefront;
function requireStorefront() {
  if (hasRequiredStorefront) return Storefront$1;
  hasRequiredStorefront = 1;
  Object.defineProperty(Storefront$1, "__esModule", { value: true });
  const vue_1 = requireVue();
  const _hoisted_1 = {
    xmlns: "http://www.w3.org/2000/svg",
    "xmlns:xlink": "http://www.w3.org/1999/xlink",
    viewBox: "0 0 512 512"
  };
  Storefront$1.default = (0, vue_1.defineComponent)({
    name: "Storefront",
    render: function render(_ctx, _cache) {
      return (0, vue_1.openBlock)(), (0, vue_1.createElementBlock)(
        "svg",
        _hoisted_1,
        _cache[0] || (_cache[0] = [
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M480 448h-12a4 4 0 0 1-4-4V273.51a4 4 0 0 0-5.24-3.86a104.92 104.92 0 0 1-28.32 4.78c-1.18 0-2.3.05-3.4.05a108.22 108.22 0 0 1-52.85-13.64a8.23 8.23 0 0 0-8 0a108.18 108.18 0 0 1-52.84 13.64a106.11 106.11 0 0 1-52.46-13.79a8.21 8.21 0 0 0-8.09 0a108.14 108.14 0 0 1-53.16 13.8a106.19 106.19 0 0 1-52.77-14a8.25 8.25 0 0 0-8.16 0a106.19 106.19 0 0 1-52.77 14c-1.09 0-2.19 0-3.37-.05h-.06a104.91 104.91 0 0 1-29.28-5.09a4 4 0 0 0-5.23 3.8V444a4 4 0 0 1-4 4H32.5c-8.64 0-16.1 6.64-16.48 15.28A16 16 0 0 0 32 480h447.5c8.64 0 16.1-6.64 16.48-15.28A16 16 0 0 0 480 448zm-256-68a4 4 0 0 1-4 4h-88a4 4 0 0 1-4-4v-64a12 12 0 0 1 12-12h72a12 12 0 0 1 12 12zm156 68h-72a4 4 0 0 1-4-4V316a12 12 0 0 1 12-12h56a12 12 0 0 1 12 12v128a4 4 0 0 1-4 4z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M492.57 170.28l-42.92-98.49C438.41 47.62 412.74 32 384.25 32H127.7c-28.49 0-54.16 15.62-65.4 39.79l-42.92 98.49c-9 19.41 2.89 39.34 2.9 39.35l.28.45c.49.78 1.36 2 1.89 2.78c.05.06.09.13.14.2l5 6.05a7.45 7.45 0 0 0 .6.65l5 4.83l.42.36a69.65 69.65 0 0 0 9.39 6.78v.05a74 74 0 0 0 36 10.67h2.47a76.08 76.08 0 0 0 51.89-20.31l.33-.31a7.94 7.94 0 0 1 10.89 0l.33.31a77.3 77.3 0 0 0 104.46 0a8 8 0 0 1 10.87 0a77.31 77.31 0 0 0 104.21.23a7.88 7.88 0 0 1 10.71 0a76.81 76.81 0 0 0 52.31 20.08h2.49a71.35 71.35 0 0 0 35-10.7c.95-.57 1.86-1.17 2.78-1.77A71.33 71.33 0 0 0 488 212.17l1.74-2.63q.26-.4.48-.84c1.66-3.38 10.56-20.76 2.35-38.42z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          )
        ])
      );
    }
  });
  return Storefront$1;
}
var StorefrontExports = /* @__PURE__ */ requireStorefront();
const Storefront = /* @__PURE__ */ getDefaultExportFromCjs(StorefrontExports);
var HelpCircle$1 = {};
var hasRequiredHelpCircle;
function requireHelpCircle() {
  if (hasRequiredHelpCircle) return HelpCircle$1;
  hasRequiredHelpCircle = 1;
  Object.defineProperty(HelpCircle$1, "__esModule", { value: true });
  const vue_1 = requireVue();
  const _hoisted_1 = {
    xmlns: "http://www.w3.org/2000/svg",
    "xmlns:xlink": "http://www.w3.org/1999/xlink",
    viewBox: "0 0 512 512"
  };
  HelpCircle$1.default = (0, vue_1.defineComponent)({
    name: "HelpCircle",
    render: function render(_ctx, _cache) {
      return (0, vue_1.openBlock)(), (0, vue_1.createElementBlock)(
        "svg",
        _hoisted_1,
        _cache[0] || (_cache[0] = [
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M256 64C150 64 64 150 64 256s86 192 192 192s192-86 192-192S362 64 256 64zm-6 304a20 20 0 1 1 20-20a20 20 0 0 1-20 20zm33.44-102C267.23 276.88 265 286.85 265 296a14 14 0 0 1-28 0c0-21.91 10.08-39.33 30.82-53.26C287.1 229.8 298 221.6 298 203.57c0-12.26-7-21.57-21.49-28.46c-3.41-1.62-11-3.2-20.34-3.09c-11.72.15-20.82 2.95-27.83 8.59C215.12 191.25 214 202.83 214 203a14 14 0 1 1-28-1.35c.11-2.43 1.8-24.32 24.77-42.8c11.91-9.58 27.06-14.56 45-14.78c12.7-.15 24.63 2 32.72 5.82C312.7 161.34 326 180.43 326 203.57c0 33.83-22.61 49.02-42.56 62.43z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          )
        ])
      );
    }
  });
  return HelpCircle$1;
}
var HelpCircleExports = /* @__PURE__ */ requireHelpCircle();
const HelpCircle = /* @__PURE__ */ getDefaultExportFromCjs(HelpCircleExports);
var StatsChart$1 = {};
var hasRequiredStatsChart;
function requireStatsChart() {
  if (hasRequiredStatsChart) return StatsChart$1;
  hasRequiredStatsChart = 1;
  Object.defineProperty(StatsChart$1, "__esModule", { value: true });
  const vue_1 = requireVue();
  const _hoisted_1 = {
    xmlns: "http://www.w3.org/2000/svg",
    "xmlns:xlink": "http://www.w3.org/1999/xlink",
    viewBox: "0 0 512 512"
  };
  StatsChart$1.default = (0, vue_1.defineComponent)({
    name: "StatsChart",
    render: function render(_ctx, _cache) {
      return (0, vue_1.openBlock)(), (0, vue_1.createElementBlock)(
        "svg",
        _hoisted_1,
        _cache[0] || (_cache[0] = [
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M104 496H72a24 24 0 0 1-24-24V328a24 24 0 0 1 24-24h32a24 24 0 0 1 24 24v144a24 24 0 0 1-24 24z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M328 496h-32a24 24 0 0 1-24-24V232a24 24 0 0 1 24-24h32a24 24 0 0 1 24 24v240a24 24 0 0 1-24 24z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M440 496h-32a24 24 0 0 1-24-24V120a24 24 0 0 1 24-24h32a24 24 0 0 1 24 24v352a24 24 0 0 1-24 24z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M216 496h-32a24 24 0 0 1-24-24V40a24 24 0 0 1 24-24h32a24 24 0 0 1 24 24v432a24 24 0 0 1-24 24z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          )
        ])
      );
    }
  });
  return StatsChart$1;
}
var StatsChartExports = /* @__PURE__ */ requireStatsChart();
const StatsChart = /* @__PURE__ */ getDefaultExportFromCjs(StatsChartExports);
var Home$1 = {};
var hasRequiredHome;
function requireHome() {
  if (hasRequiredHome) return Home$1;
  hasRequiredHome = 1;
  Object.defineProperty(Home$1, "__esModule", { value: true });
  const vue_1 = requireVue();
  const _hoisted_1 = {
    xmlns: "http://www.w3.org/2000/svg",
    "xmlns:xlink": "http://www.w3.org/1999/xlink",
    viewBox: "0 0 512 512"
  };
  Home$1.default = (0, vue_1.defineComponent)({
    name: "Home",
    render: function render(_ctx, _cache) {
      return (0, vue_1.openBlock)(), (0, vue_1.createElementBlock)(
        "svg",
        _hoisted_1,
        _cache[0] || (_cache[0] = [
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M261.56 101.28a8 8 0 0 0-11.06 0L66.4 277.15a8 8 0 0 0-2.47 5.79L63.9 448a32 32 0 0 0 32 32H192a16 16 0 0 0 16-16V328a8 8 0 0 1 8-8h80a8 8 0 0 1 8 8v136a16 16 0 0 0 16 16h96.06a32 32 0 0 0 32-32V282.94a8 8 0 0 0-2.47-5.79z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          ),
          (0, vue_1.createElementVNode)(
            "path",
            {
              d: "M490.91 244.15l-74.8-71.56V64a16 16 0 0 0-16-16h-48a16 16 0 0 0-16 16v32l-57.92-55.38C272.77 35.14 264.71 32 256 32c-8.68 0-16.72 3.14-22.14 8.63l-212.7 203.5c-6.22 6-7 15.87-1.34 22.37A16 16 0 0 0 43 267.56L250.5 69.28a8 8 0 0 1 11.06 0l207.52 198.28a16 16 0 0 0 22.59-.44c6.14-6.36 5.63-16.86-.76-22.97z",
              fill: "currentColor"
            },
            null,
            -1
            /* HOISTED */
          )
        ])
      );
    }
  });
  return Home$1;
}
var HomeExports = /* @__PURE__ */ requireHome();
const Home = /* @__PURE__ */ getDefaultExportFromCjs(HomeExports);
const _sfc_main = {
  __name: "menu",
  setup(__props) {
    function renderIcon(icon) {
      return () => h(NIcon, null, { default: () => h(icon) });
    }
    const menuOptions = [
      {
        label: () => h(RouterLink, { to: { path: "/" } }, { default: () => "运行日志" }),
        icon: renderIcon(BookOutline),
        key: "go-to-log"
      },
      {
        label: () => h(RouterLink, { to: { path: "/plan-editor" } }, { default: () => "排班编辑" }),
        icon: renderIcon(Home),
        key: "go-to-plan"
      },
      {
        label: () => "数据图表",
        key: "building-report",
        icon: renderIcon(StatsChart),
        children: [
          {
            label: () => h(RouterLink, { to: { path: "/record/line" } }, { default: () => "干员心情报表" }),
            icon: renderIcon(BarChart),
            key: "go-to-record-line"
          },
          {
            label: () => h(RouterLink, { to: { path: "/record/pie" } }, { default: () => "工作时间占比" }),
            icon: renderIcon(PieChart),
            key: "go-to-record-pie"
          },
          {
            label: () => h(RouterLink, { to: { path: "/record/depot" } }, { default: () => "仓库物品" }),
            icon: renderIcon(Storefront),
            key: "go-to-record-depot"
          },
          {
            label: () => h(RouterLink, { to: { path: "/record/report" } }, { default: () => "基建报表" }),
            icon: renderIcon(ReaderOutline),
            key: "go-to-record-report"
          }
        ]
      },
      {
        label: () => h(RouterLink, { to: { path: "/debug" } }, { default: () => "日志查看器" }),
        icon: renderIcon(CloudLogging),
        key: "debug"
      },
      {
        label: () => h(RouterLink, { to: { path: "/doc" } }, { default: () => "帮助文档" }),
        icon: renderIcon(HelpCircle),
        key: "go-to-doc"
      },
      {
        label: () => h(RouterLink, { to: { path: "/BasementSkill" } }, { default: () => "基建技能" }),
        icon: renderIcon(SkillLevelAdvanced),
        key: "BasementSkill"
      },
      {
        label: () => h(
          "a",
          {
            href: "https://arkntools.app/ ",
            target: "_blank",
            rel: "noopenner noreferrer"
          },
          "明日方舟工具箱"
        ),
        key: "toolbox",
        icon: renderIcon(Wrench)
      },
      {
        label: () => h(
          "a",
          {
            href: "https://prts.wiki/w/%E9%A6%96%E9%A1%B5",
            target: "_blank",
            rel: "noopenner noreferrer"
          },
          "明日方舟PRTS"
        ),
        key: "wiki",
        icon: renderIcon(WikipediaW)
      }
    ];
    return (_ctx, _cache) => {
      const _component_n_menu = NMenu;
      return openBlock(), createBlock(_component_n_menu, {
        indent: 24,
        "collapsed-width": 64,
        "collapsed-icon-size": 22,
        options: menuOptions
      });
    };
  }
};
export {
  _sfc_main as default
};
