from mower.utils import config
from mower.utils.import_helper import import_class


class LongTask:
    solver_name = "大型任务管理器"

    def run(self):
        solvers = {
            "rogue": "mower.solvers.rogue.RogueSolver",
            "sss": "mower.solvers.sss.SSSSolver",
            "ra": "mower.solvers.reclamation_algorithm.ReclamationAlgorithm",
            "sf": "mower.solvers.secret_front.SecretFront",
            "guess": "mower.solvers.guess.Guess",
        }
        solver = import_class(solvers[config.conf.maa_long_task_type])()
        solver.scheduler_stop_time = self.scheduler_stop_time
        solver.run()
        return True
