from mower.utils.scene import Scene
from mower.utils.solver import BaseSolver

from .utils import edge


@edge(Scene.GUESS_FIGHT, Scene.GUESS_EXIT)
@edge(Scene.GUESS_CHOOSE, Scene.GUESS_MAIN)
@edge(Scene.GUESS_MAIN, Scene.TERMINAL_MAIN)
def guess_back(solver: BaseSolver):
    solver.cback(3)


@edge(Scene.GUESS_EXIT, Scene.GUESS_SETTLEMENT)
def guess_exit(solver: BaseSolver):
    solver.ctap("guess/confirm", 3)


@edge(Scene.GUESS_SETTLEMENT, Scene.GUESS_CHOOSE)
def guess_settlement(solver: BaseSolver):
    solver.ctap("guess/continue", 3)
