from mower.utils.scene import Scene
from mower.utils.solver import BaseSolver

from .utils import edge

# 作战


@edge(Scene.OPERATOR_RECOVER_POTION, Scene.OPERATOR_BEFORE)
@edge(Scene.OPERATOR_RECOVER_ORIGINITE, Scene.OPERATOR_BEFORE)
@edge(Scene.OPERATOR_BEFORE, Scene.OPERATOR_CHOOSE_LEVEL)
@edge(Scene.OPERATOR_CHOOSE_LEVEL, Scene.TERMINAL_COLLECTION)
@edge(Scene.ACTIVITY_MAIN, Scene.TERMINAL_MAIN)
@edge(Scene.ACTIVITY_NORMAL_CHOOSE_LEVEL, Scene.ACTIVITY_MAIN)
@edge(Scene.ACTIVITY_EX_CHOOSE_LEVEL, Scene.ACTIVITY_MAIN)
@edge(Scene.ACTIVITY_BOX, Scene.ACTIVITY_MAIN)
@edge(Scene.ACTIVITY_TASK, Scene.ACTIVITY_MAIN)
@edge(Scene.ACTIVITY_SHOP, Scene.ACTIVITY_MAIN)
@edge(Scene.ACTIVITY_SHOP_BUY, Scene.ACTIVITY_SHOP)
@edge(Scene.OPERATOR_SUPPORT, Scene.OPERATOR_SELECT)
@edge(Scene.OPERATOR_AGENT_SELECT, Scene.OPERATOR_SELECT)
@edge(Scene.OPERATOR_SUPPORT_AGENT, Scene.OPERATOR_SUPPORT)
@edge(Scene.ROGUE_USE_SUPPORT, Scene.OPERATOR_SUPPORT)
@edge(Scene.OPERATOR_ELIMINATE_AGENCY, Scene.OPERATOR_ELIMINATE)
def operation_back(solver: BaseSolver):
    solver.cback(3)


@edge(Scene.OPERATOR_BAN, Scene.OPERATOR_SELECT)
def operation_ban(solver: BaseSolver):
    solver.ctap((500, 900), 3)


@edge(Scene.OPERATOR_FIGHT, Scene.OPERATOR_GIVEUP)
def operation_fight(solver: BaseSolver):
    solver.ctap("fight/gear", 3)


@edge(Scene.OPERATOR_GIVEUP, Scene.OPERATOR_FAILED)
def operation_give_up(solver: BaseSolver):
    solver.ctap("fight/give_up", 3)


@edge(Scene.OPERATOR_FAULT_CONFIRM, Scene.OPERATOR_FAILED)
def operation_fault_confirm(solver: BaseSolver):
    solver.ctap("double_confirm/main", 3, x_rate=1)


@edge(Scene.OPERATOR_FINISH, Scene.OPERATOR_BEFORE)
@edge(Scene.RESTORE_ALL_SANITY, Scene.OPERATOR_FINISH)
@edge(Scene.OPERATOR_FAILED, Scene.OPERATOR_FINISH)
def operation_finish(solver: BaseSolver):
    solver.ctap((310, 330), 3)


@edge(Scene.UPGRADE, Scene.OPERATOR_FINISH)
def upgrade(solver: BaseSolver):
    solver.ctap((960, 540), 3)
