from mower.utils.scene import Scene
from mower.utils.solver import BaseSolver

from .utils import edge

# 隐秘战线


@edge(Scene.SF_EXIT, Scene.OPERATOR_CHOOSE_LEVEL)
def exit_dialog(solver: BaseSolver):
    solver.tap("sf/exit_confirm")


@edge(Scene.SF_SELECT_TEAM, Scene.SF_EXIT)
@edge(Scene.SF_CONTINUE, Scene.SF_EXIT)
@edge(Scene.SF_SELECT, Scene.SF_EXIT)
@edge(Scene.SF_ACTIONS, Scene.SF_EXIT)
@edge(Scene.SF_RESULT, Scene.SF_EXIT)
@edge(Scene.SF_EVENT, Scene.SF_EXIT)
@edge(Scene.SF_TEAM_PASS, Scene.SF_EXIT)
@edge(Scene.SF_CLICK_ANYWHERE, Scene.SF_EXIT)
@edge(Scene.SF_END, Scene.SF_EXIT)
def exit_button(solver: BaseSolver):
    solver.tap("sf/exit_button")
