import sys
from importlib import import_module


def check_import(full_name: str):
    index = full_name.rfind(".")
    module_name = full_name[:index]
    return module_name in sys.modules


def import_class(full_name: str):
    index = full_name.rfind(".")
    module_name = full_name[:index]
    class_name = full_name[index + 1 :]
    module = import_module(module_name)
    return getattr(module, class_name)
