import { _export_sfc, ref, createBlock, withCtx, openBlock, createBaseVNode, createElementBlock, createCommentVNode, createTextVNode, createVNode, Button, toDisplayString, unref } from "./index.js";
import { __unplugin_components_2 } from "./Flex.js";
import "./get-slot.js";
const _hoisted_1 = {
  key: 0,
  class: "loading"
};
const docpage = "https://hedgedoc.zhaozuohong.vip/s/LfSzK2n0K";
const _sfc_main = {
  __name: "Doc",
  setup(__props) {
    const loading = ref(true);
    return (_ctx, _cache) => {
      const _component_n_button = Button;
      const _component_n_flex = __unplugin_components_2;
      return openBlock(), createBlock(_component_n_flex, {
        vertical: "",
        style: { "width": "100%", "height": "100%" },
        align: "center"
      }, {
        default: withCtx(() => [
          createBaseVNode("div", null, [
            _cache[1] || (_cache[1] = createTextVNode(" 《小刻也能学会的！Mower-NG简明教程！》 ")),
            createVNode(_component_n_button, {
              text: "",
              tag: "a",
              href: docpage,
              target: "_blank",
              type: "primary"
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString(docpage))
              ]),
              _: 1
            })
          ]),
          createBaseVNode("iframe", {
            onLoad: _cache[0] || (_cache[0] = ($event) => loading.value = false),
            src: docpage,
            style: { "width": "100%", "height": "100%", "border": "none" }
          }, null, 32),
          unref(loading) ? (openBlock(), createElementBlock("div", _hoisted_1, "页面加载中……")) : createCommentVNode("", true)
        ]),
        _: 1
      });
    };
  }
};
const Doc = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-f9ae5a23"]]);
export {
  Doc as default
};
